> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# GO Terms Gene Products

> Retrieve annotations associated with a GO term.

Example: go_term_id = GO_1990590,

name = has component

The limit parameter controls the page size and can not exceed 100.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /go-terms/gene-products
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /go-terms/gene-products:
    get:
      summary: GO Terms Gene Products
      description: |-
        Retrieve annotations associated with a GO term.

        Example: go_term_id = GO_1990590,

        name = has component

        The limit parameter controls the page size and can not exceed 100.

        Pagination is 0-based.
      operationId: annotationsFromGoTerms
      parameters:
        - name: go_term_id
          in: query
          required: true
          schema:
            type: string
        - name: name
          in: query
          required: false
          schema:
            type: string
            enum:
              - contains
              - has component
              - is a function of
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  anyOf:
                    - not: {}
                    - type: object
                      properties:
                        gene_product_id:
                          type: string
                        gene_product_name:
                          type: string
                          nullable: true
                        go_term_name:
                          type: string
                        source:
                          type: string
                        gene_product_type:
                          type: string
                        gene_product_symbol:
                          type: string
                        qualifier:
                          type: array
                          items:
                            type: string
                        organism:
                          type: string
                        evidence:
                          type: string
                        go_id:
                          type: string
                        name:
                          type: string
                      required:
                        - gene_product_id
                        - go_term_name
                        - source
                        - gene_product_type
                        - gene_product_symbol
                        - qualifier
                        - organism
                        - evidence
                        - go_id
                        - name
                      additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````